Bug 485176 - RFE: Please implement a 'checkpoint' option for 'virsh save'
RFE: Please implement a 'checkpoint' option for 'virsh save'
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 23:32 EST by Matt McCowan
Modified: 2010-05-25 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 11:11:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Implements --checkpoint to avoid a shutdown when 'virsh save' run (12.84 KB, patch)
2009-02-11 23:32 EST, Matt McCowan
no flags Details | Diff

  None (edit)
Description Matt McCowan 2009-02-11 23:32:01 EST
Created attachment 331653 [details]
Implements --checkpoint to avoid a shutdown when 'virsh save' run

Description of problem:

A backup scenario I'm working on requires a clean snapshot of both VM memory and disk state. Something like a 'virsh save --checkpoint domain filename' shouldn't shutdown the VM shutdown, just leave it paused. It can then be resumed after the backup system has done its thing. A '--checkpoint' option just like the migrate '--live' feature would enable a 'virsh save' to be done that leaves the VM in a paused state rather than shutting it down. Similar to what is already available in Xen doing an 'xm save -c domain filename'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. 'virsh save domain filename' always shuts the domain down
  
Actual results:
A non-running domain

Expected results:
In the case of KVM hopefully a paused domain that can be resumed

Additional info:
Patch created (against 0.6.0) to implement --checkpoint in 'virsh save'
Comment 1 Daniel Berrange 2009-08-06 08:51:18 EDT
this idea upstream

http://www.redhat.com/archives/libvir-list/2009-March/msg00205.html
Comment 2 Daniel Berrange 2010-05-25 11:11:13 EDT
libvirt now has full support for doing live snapshots of guests + their storage.

commit 2f992d4be4c6157feec4f88ac586f2c50a8fd466
Author: Chris Lalancette <clalance@redhat.com>
Date:   Wed Mar 31 16:33:13 2010 -0400

    Snapshot API framework.
    
    Signed-off-by: Chris Lalancette <clalance@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.